
function plotDataAndOptions(dataPath,optionsPath)
{
	var options = {	};
	var fileData = [];
    var placeholder = $("#placeholder");

	function fetchData()
	{
		function onDataReceived(allData)
		{
			// we get all the data in one go, if we only got partial
			// data, we could merge it with what we already got
			fileData = allData;
			
			$.plot(placeholder, fileData, options);
		}
		
		$.ajax({
			   url: dataPath,
			   method: 'GET',
			   dataType: 'json',
			   success: onDataReceived
			   });
	}
	
	function fetchOptions()
	{
		function onOptionsReceived(allData)
		{
			options = allData;
			setTimeout(fetchData, 0);
		}
		
		$.ajax({
			   url: optionsPath,
			   method: 'GET',
			   dataType: 'json',
			   success: onOptionsReceived
			   });

	}

	setTimeout(fetchOptions, 0);
}